Name:            python-flask
Version:         1.1.2
Release:         5
Epoch:           1
Summary:         A lightweight WSGI web application framework
License:         BSD
URL:             https://palletsprojects.com/p/flask/
Source0:         https://files.pythonhosted.org/packages/source/F/Flask/Flask-%{version}.tar.gz
# https://sources.debian.org/src/flask/1.1.2-2%2Bdeb11u1/debian/patches/CVE-2023-30861.patch/
Patch0:          CVE-2023-30861.patch
BuildArch:       noarch

BuildRequires:   python2-sphinx
BuildRequires:   python2-devel python2-setuptools python2-pytest python2-jinja2 python2-werkzeug python2-itsdangerous python2-click
BuildRequires:   python3-devel python3-setuptools python3-pytest python3-jinja2 python3-werkzeug python3-itsdangerous python3-click

%description
Flask is a lightweight WSGI web application framework. It is designed
to make getting started quick and easy, with the ability to scale up
to complex applications. It began as a simple wrapper around Werkzeug
and Jinja and has become one of the most popular Python web application
frameworks.

%package -n python2-flask
Summary:         python-flask for python 2 version
%{?python_provide:%python_provide python2-flask}
Requires:        python2-jinja2 python2-werkzeug python2-itsdangerous python2-click

%description -n python2-flask
Python-flask for python 2 version

%package -n python3-flask
Summary:         python-flask for python 3 version
%{?python_provide:%python_provide python3-flask}
Requires:        python3-jinja2 python3-werkzeug python3-itsdangerous python3-click

%description -n python3-flask
Python-flask for python 3 version

%prep
%autosetup -n Flask-%{version} -p1
rm -rf tests/test_deprecations.py

%build
%py2_build
%py3_build

%install
%py2_install
mv %{buildroot}%{_bindir}/flask{,-%{python2_version}}
ln -s flask-%{python2_version} %{buildroot}%{_bindir}/flask-2

%py3_install
mv %{buildroot}%{_bindir}/flask{,-%{python3_version}}
ln -s flask-%{python3_version} %{buildroot}%{_bindir}/flask-3

ln -sf flask-2 %{buildroot}%{_bindir}/flask

%check
export LC_ALL=C.UTF-8
PYTHONPATH=%{buildroot}%{python2_sitelib} py.test-%{python2_version} -v
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v || :

%files -n python2-flask
%defattr(-,root,root)
%license LICENSE*
%doc CHANGES* README*
%{_bindir}/flask
%{_bindir}/flask-2
%{_bindir}/flask-%{python2_version}
%{python2_sitelib}/*

%files -n python3-flask
%defattr(-,root,root)
%license LICENSE*
%doc CHANGES* README*
%{_bindir}/flask-3
%{_bindir}/flask-%{python3_version}
%{python3_sitelib}/*

%changelog
* Tue Dec 12 2023 yaoxin <yao_xin001@hoperun.com> - 1:1.1.2-5
- Fix CVE-2023-30861

* Mon Oct 11 2021 Jiachen Fan<fanjiachen3@huawei.com> - 1.1.2-4
- backport add require pythonx-simplejson. details see issue #I4CGIS

* Sat Oct 9 2021 Jiachen Fan<fanjiachen3@huawei.com> - 1.1.2-3
- in openEuler LTS version, python-simple not provide python2-simplejson. then remove it

* Thu Sep 30 2021 Jiachen Fan<fanjiachen3@huawei.com> - 1.1.2-2
- add missing install Requires python2/3-simplejson

* Wed Aug 18 2021 huanghaitao <huanghaitao@huawei.com> - 1.1.2-1
- Upgrade version to 1.1.2

* Fri Jan 10 2020 yangjian<yangjian79@huawei.com> - 1.0.4-3
- Change the Source to valid address

* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.4-2
- Package init
